<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include('includes/function.php');
//include('includes/spdfeImage.php');

$zdb   = $_SESSION["zdbyear_" . $dbname];
$zyear = right($zdb,4);
$pdfdb = "purbillpdf"; 

mysqli_select_db($conn, $zdb);
$success  = "";
$series   = $_POST["series"];
$vouchno  = $_POST["vouchno"];
$path     = "images/$zyear/$vouchno/";

$fileName = $vouchno . ".pdf";
$pdf_file = $path. ($fileName);

//$fileName       = $_FILES["file2"]["name"]; // The file name
$fileTmpLoc     = $_FILES["file2"]["tmp_name"]; // File in the PHP tmp folder
$fileType       = $_FILES["file2"]["type"]; // The type of file it is
$fileSize       = $_FILES["file2"]["size"]; // File size in bytes
$fileErrorMsg   = $_FILES["file2"]["error"]; // 0 for false... and 1 for true

if (!$fileTmpLoc) { // if file not chosen
    echo "ERROR: Please browse for a file before clicking the upload button.";
    exit();
}
if (move_uploaded_file($fileTmpLoc, "$pdf_file")) {
    
    echo "$fileName upload is complete";

    ###########################SAVE PART################################################   
//    $pdfp = mysqli_query($conn, "SELECT * FROM `$main`")or die(mysqli_error($conn));
//    $gpdf = mysqli_fetch_array($pdfp);

//    mysqli_query($conn, "DELETE FROM `$pdfdb` WHERE `vouchno`='$vouchno' AND `series`='$series'") or die(mysqli_error($conn));

//    if ($gpdf[vouchno] == $vouchno) {
        mysqli_query($conn, "UPDATE `visamain` SET `pdfpath`='$pdf_file' WHERE `myvouch`='$vouchno'") or die(mysqli_error($conn));
//    }

    
} else {
    echo "move_uploaded_file function failed";
}
?>